Bug 150627 - gnome-utils spec file not suitable for recompilation on x86_64
gnome-utils spec file not suitable for recompilation on x86_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2005-03-08 18:28 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 15:14:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-03-08 18:28:33 EST
Description of problem:

gnome-utils spec file suffers from exactly the same affliction
as described in a bug #149005.  If you will try to rebuild that
on x86_64 then an infamous /usr/lib/libpopt.so pops out and
results, predictably, fail to link.

A cure is also the same as described in #149005.  After replacing

libtoolize --force --copy

with

libtoolize --force --copy && aclocal && autoconf

the whole thing indeed recompiled.

It is quite likely that a lot of other packages has the same
problem but a Red Hat build system has to be doing something
else (or is building in another environment then a regular
installation?) so this, unfortunately, is not showing up there.

See also bug #138742.

Version-Release number of selected component (if applicable):
gnome-utils-2.9.92-2
Comment 1 Ray Strode [halfline] 2005-05-17 15:14:29 EDT
should be fixed in tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.